# Pathway databases

The genome of a microorganism encodes all the functions it is able to perform in a broad number of circumstances.  Microbial physiology largely depends on the genome encoded potential and metabolic phenotypes are often key to understand and culture (and also exploit) microbial organisms. Extracting information on phenotypes associated to metabolism from the genome requires i) functional genome annotation and ii) database mining.  In the first  step genes encoding enzymes and transporters are identified and characterized.  In this way a list of potential reactions that can occur in the organism is assembled.  However, metabolic phenotypes are also the result not of a single reaction but of a set of reactions that all together form a biological pathway. In the second step, databases are mined to identify the presence of genes in biological pathways.

Presence in the genome of all the genes in a pathway associated to utilization of a carbon source  indicates that the organism has the potential to use and possible grow on that carbon source.  Pathways associated to anabolism (biosynthesis) of macromolecules indicate that the organism has the potential to synthesize the corresponding molecules.  “Gaps” and missing genes in an anabolic pathway  might indicate an auxotropy. If an organism can not synthesize an amino acid or a vitamin, then they have to be added to the cultivation medium.

Biological pathways have been collected in large databases that provide all kinds of information. KEGG and MetaCyc are examples of such databases that we will extensively use in the practicals. 

**Course material:**

* Brock edition 14. Chapters:  3.2 on media and laboratory cultures. 3.15 on biosynthesis of amino acids and nucleotides. Chapters 6.1, 6.2 and 6.3 on genomics and genome annotation (re-read)
* Brock edition 15. Chapters:  5.5 on media and laboratory cultures. 3.14 on biosynthesis of amino acids and nucleotides.  Chapter 9.1 and 9.2 on genomics and genome annotation (re-read)
* Agostino Section 10.9 introduces KEGG (although the description is related to signalling pathways)

**Key questions:**

1. What is the difference between and auxotroph and an autotroph? 
2. How are ortholog genes used in KEGG?  What information is in KEGG Orthology database?
3. What is MetaCyc?

<span style="color:white">\newpage</span>

# Pathway Mapping

In the "Gene Prediction" exercise we have predicted and generated a file containing protein sequences in FASTA  format. Some of these proteins might have enzymatic functions and there are many ways to unravel the possible biological function of a protein. The most commonly used aproach is through BLAST against a well curated database such as SwissProt. Another such database is called KEGG (Kyoto Encyclopedia of Genes and Genomes)

KEGG is a database resource for understanding high-level functions and utilities of the biological system, such as the cell, the organism and the ecosystem, from molecular-level information, especially large-scale molecular datasets generated by genome sequencing and other high-throughput experimental technologies.

To analyse protein sequences more easily they have developed EggNOG. eggNOG provides functional annotation of genes by comparisons against the manually curated eggNOG database. The result contains many columns of which the KO (KEGG Orthology) identifiers are linked to KEGG pathways. 



```
>Protein1 - 2.7.2.4
MLDITSNRMLGQYGFLSKVLSTFEKMGISVDVVATSEVSVSLTLDPSKFCSKELIQQEIN
HMVEELEKIASVNLLQHRSIISLIGNFQRSSSFILEKGFRVLRTNGINVQMISQGASKVN
ISLIVNDDEAEHCVKALHSAFFETGTSKAVPQIGRLATTPLPCRENLLVQPDLRDLQVV
```

```
>Protein2 - 1.2.1.11
MSFSYSLMIFGQQYAFNLFSLNAPITENGYNEEEMKLVKETRKIWVSVHFTAIFFVQMFG
CVKERETLYLSWSSQNDTEVKVTATCIRVPVMRAHAESVNLQFDNPLDE
```

```
>Protein3 - 4.3.3.7
MVHLNACELNLSNCGPVSVSCTGKNRKWRPPQAAIIPNYHLPMRSFEVKNRTSAEDIKAL
RLITAIKTPYLPDGRFDLEAYDDLVNMQIVNGAEGMIVGGTTGEGQLMSWDEHIMLIGHT
VNCFGASIKVIGNTGSNSTREAIHATEQGFAVGMHAALHINPYYGKTSLEGLISHFDSVL
SMGPTIIYNVPSRTGQDIPPRVIHTMAQSPNLAGVKECVGNDRVEHYTGNGIVVWSGNDD
QCHDARWNHGATGVISVTSNLVPGMMRELMFGGKNPSLNTKLFPLIEWLFQEPNPIPLNT
ALAQLGVVRPVFRLPYVPLPQEKRAEFVNLVNQIGRENFVGEKDVQVLDDDDFILVDRY
```

```
>Protein4 - 1.17.1.8
MATTNWLTASSSVFLTRPVNPRLAFASRKNQTLGRSRVSFQGSVKRRLPVVISMTATEES
GEKAVKSVLPGHGISIMVNGCSGKMGKAVIKAADSAGVNIVPTSFGSAAEAGQTVEVCGK
EITVHGPAEREKVLSSVFEKHPELIVVDYTIPSAVNDNAELYSKVGVPFVMGTTGGDRNK
LYETVEEARIYAVISPQMGKQVVAFLAAMEIMAEQFPGAFSGYSLEVMESHQASKLDASG
TAKAVISCFQDLGVSYDMDQIQLIRDPKQQIEMVGVPEEHVSGHAFHLYHLTSPDKTVSF
EFQHNVCGRSIYAEGTVDAVLFLAKKIRLKAEQRIYNMIDVLREGNMR
```

```
>Protein5 - 5.1.1.7
MFPARTNTEFVEVLSRSHLKMRVWERGAGATLACGTGACALVVAAVLEGRTDRKCTVDLP
GGPLEIEWKEEDNHIYMTGPADLVFYGSALL
```

```
>Protein6 - 4.1.1.20
MAAVTQFLSQPSSIRGTLNQYQLNQTSLSRIPFLSLKSTLKPLKRLSVKAAVSQNSTKTL
TKESASSFDHCFKKSSDGFLYCEGTKVQDIMETVEKRPFYLYSKPQITRNLEAYKEALEG
VRSVIGYAIKANNNLKILEHLRSLGCGAVLVSGNELRLALLAGFDPTKCIFNGNGKSLED
LVLAAQEGVFVNVDSEFDLNNIVEASRISGKQVNVLLRINPDVDPQVHPYVATGNKNSKF
GIRNEKLQWFLDEVKAHPKELKLVGAHCHLGSTITKVDIFRDAAVLMIEYIDEIRRQGFE
VSYLNIGGGLGIDYYHAGAVLPTPMDLINTVRELVLSRDLNLIIEPGRSLIANTCCFVNH
VTGVKTNGTKNFIVIDGSMAELIRPSLYDAYQHIELVSPTPPEAEVTKFDVVGPVCESAD
FLGKDRELPTPPQGAGLVVHDAGAYCMSMASTYNLKMRPPEYWVEEDGSITKIRHAETFD
DHLRFFEGL
```


## EGGNOG

Due to accidentally overloading the KEGG KAAS system we have decided to use EggNOG as an alternative annotation application. We will still use KEGG for the mapping of the results obtained in EggNOG.

- Go to http://eggnog5.embl.de
- Click on the Eggnog mapper (batch functional annotation)
- Upload your protein sequences (as you can see you can also upload other file types)
- Enter your email
- Submit
- Check the email, click on the link and make sure you start the job!

```{note}
When Eggnog states it is finished you can check the files under the `Access your job files here` link in the job overview.
At somepoint (could be easily 10/20min later) a `.xlsx` should appear with your results (After the job is done!)
```


### Results of EGGNOG

Once the results are in (check the website for the updates) you can explore the functional associations

Note: Even though the "results" are in they might not be available yet. Please wait a few more minutes and have another look at the results.

- Easiest way to explore is to download the EXCEL file
- Explore the different columns available

As you can see there are different functional annotation columns available (EC, GO, KEGG)


#### Warning 

Due to the formatting of some entries for example: ko:03297,ko:23498 the KEGG Mapper will ignore these entries as you can only have 1 KO per line. To fix this...

- Copy the content of 'KEGG_ko' into WORD.
- Replace the comma's by a new line using the find and replace function
- Copy the content into the KEGG Color mapper (https://www.genome.jp/kegg/mapper/color.html)


![Alt text](../../Figures/newline_word.PNG)


```{note}
If you receive a forbidden access message your IP address is blocked for an unknown reason... (Investigation is being done with IT)
You can use a VPN connection to get access to KEGG. A Free version is available through https://protonvpn.com/.
It is not an ideal solution but it should work for you.
```

![](../../Figures/keggcolor.png)

- Click Exec
- Now you should be able to see a list of pathways that have (some) gene annotations available based on the information you puth in.


## Your genome
As it can take a while to analyse your whole genome **(easily up to a few hours when it is busy)**, it is advisable to redo the previous egGNOG steps with the protein sequences from your organisms that you have obtained in Galaxy using the Prodigal module.

**Note:** When your analysis is finished please save the *text* output and save it somewhere (notepad) as the results will only be stored up to a certain amount of days on the eggNOG website.

## Lysine biosynthesis

We are interested in whether the organism is able to synthesize lysine. 

Click on **HTML** and you should see multiple pathways appearing.

>00260 Glycine, serine and threonine metabolism (2)
>
>00270 Cysteine and methionine metabolism (2)
>
>00300 Lysine biosynthesis (6)
>
>00261 Monobactam biosynthesis (4)

As we are interested in the Lysine biosynthesis pathway go ahead and click on that one.

You should see the following pathway with specific EC numbers filled in:

![](../../Figures/LysineBioSynthesis.png)
*Figure: Lysine biosynthesis pathway in KEGG*

**Question:** Is this organism able to synthesize Lysine?

## Nitrate reduction test 

You will perform a nitrate reduction test in the lab. This test is used to test  whether the bacteria is able to reduce nitrate to nitrite. Here, we will predict the output of the test based on genomic information. 

* Read the introduction to the experiment  
* Go to [KEGG pathways](http://www.genome.jp/kegg/pathway.html) 
* As we are interested in nitrogen reduction, go to the map associated to Nitrogen metabolism (which is part of the Energy metabolism)
* Instead of the Reference Pathway, get KEGG to show map for *Escherichia coli* K-12 MG1655 (select the organism in the drop down menu).  Then press "GO" 
**Question:** Is E. coli able to reduce nitrate?  What would be the output of the nitrate reduction test? 

* Repeat all of the above, but now generate a pathway map for *Pseudomonas aeruginosa* PAO1 (also in the dropdown menu). **Predict** the output of the nitrate reduction test in *P. aeruginosa* PAO1.

* **Predict** the output of the nitrate reduction test in your genome. The answer will become available next week! If your prediction is correct, great! If the prediction is not correct, then something very interesting might be going on! 

## Sulfide production
You will perform a hydrogen sulfide production test. This test will allow you to know if the bacteria is able to produce sulfide gas (H2S). Here we will predict the output of the test based on genomic information. 

* Read the introduction to the experiment 
* Some enzymes are mentioned, the goal is to check for their presence in your genome. 
* Go to [KEGG enzymes](http://www.genome.jp/kegg/annotation/enzyme.html) and search "cysteine desulfurase".  The first hit gives you the EC number (2.8.1.7).  If you click on it, you will get additional information and scrolling down you get the **Orthology** part were you can find the KO of this enzyme.  
* Warning: the presence of this enzyme indicates that the organism can produce sulfide but if it is not present still another enzyme might be involved in hydrogen sulfide production (such as thiosulfate reductase).
* Analyse your genome. **Predict** the output of the  sulfide production test


## Catalase  
You will test your organism for catalase activity. This activity depends of the presence of catalase enzyme in the genome. 

**Predict** the output of the catalase test.

***Have a look at the experiments that you will perform...  Make predictions.***

## Pathways of interest

The following pathways could be of interest for your organism. Each pathway is a link to the KEGG resource.

**Glycolysis**

- [Embden Meyerhof Parnas](https://www.kegg.jp/pathway/map00010+M00001)

- [Entner Doudorof](https://www.genome.jp/pathway/map00030+M00308)

- [Pentose phosphate pathway](https://www.kegg.jp/pathway/map00030+M00004)

**Amino acid metabolism**

- [Look for: 1.5 Amino acid metabolism](https://www.kegg.jp/kegg/pathway.html)

**TCA**

- [Citrate cycle (TCA)](https://www.kegg.jp/pathway/map00020)

**Reduction**

- [Thiosulfate reduction](https://www.kegg.jp/pathway/map00920)

- [Nitrate reduction (to ammonia and denitrification)](https://www.kegg.jp/pathway/map00910)

**Resistance**

- [Look for: 6.11 Drug resistance: antimicrobial](https://www.kegg.jp/kegg/pathway.html)



*The most exciting phrase to hear in science, the one that heralds new discoveries, is not 'Eureka!' but 'That's funny...' Isaac Asimov*
